#pragma once

#include "../message_reporter.h"
#include <yandex/maps/wiki/diffalert/diff_context.h>

namespace maps {
namespace wiki {
namespace diffalert {

void checkAdChangesEditor(const DiffContext&, MessageReporter&);
void checkAdChangesLongtask(const DiffContext&, MessageReporter&);

void checkCapitalAd(const DiffContext&, MessageReporter&);

void checkAdHierarchyChange(const DiffContext&, MessageReporter&);

void checkAdRecognitionChange(const DiffContext&, MessageReporter&);

void checkAdDispClass(const DiffContext&, MessageReporter&);

void checkAdLevelKind(const DiffContext&, MessageReporter&);

void checkAdBigAreaCreated(const DiffContext&, MessageReporter&);

void checkAdPopulationChange(const DiffContext&, MessageReporter&);

} // namespace diffalert
} // namespace wiki
} // namespace maps
